package com.tencent.mm.plugin.profile.ui.newbizinfo;

import android.content.Context;
import android.util.AttributeSet;
import android.view.View;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.pluginsdk.b.a;
import com.tencent.mm.ui.MMActivity;
import com.tencent.mm.ui.base.preference.Preference;

public class NewBizInfoFollowPreference extends Preference {
    private MMActivity crP;
    private boolean lyb = false;
    a plh;
    private TextView ppS;
    private TextView ppT;

    public NewBizInfoFollowPreference(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        AppMethodBeat.i(23851);
        this.crP = (MMActivity) context;
        this.lyb = false;
        AppMethodBeat.o(23851);
    }

    public NewBizInfoFollowPreference(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        AppMethodBeat.i(23852);
        this.crP = (MMActivity) context;
        this.lyb = false;
        AppMethodBeat.o(23852);
    }

    public final void onBindView(View view) {
        AppMethodBeat.i(23853);
        this.lyb = true;
        this.ppS = (TextView) view.findViewById(2131822976);
        if (this.ppS.getPaint() != null) {
            this.ppS.getPaint().setFakeBoldText(true);
        }
        this.ppT = (TextView) view.findViewById(2131822977);
        if (this.ppT.getPaint() != null) {
            this.ppT.getPaint().setFakeBoldText(true);
        }
        if (this.lyb) {
            this.ppS.setOnClickListener(new 1(this));
            this.ppT.setOnClickListener(new 2(this));
        }
        AppMethodBeat.o(23853);
    }
}
